## glpeces 4.0

=== debian/changelog ===
glpeces (4.0-1) unstable; urgency=low

  * Initial release (Closes: #502229)

 -- Innocent De Marchi <tangram.peces@gmail.com>  Thu, 20 May 2010 18:52:44 +0200
