=== debian/control ===
Source: glpeces
Section: games
Priority: optional
Maintainer: Innocent De Marchi <tangram.peces@gmail.com>
Build-Depends: debhelper (>= 7), qt4-qmake (>= 4.4.3), libqt4-dev (>= 4.4.3)
Standards-Version: 3.8.4
Homepage: http://sourceforge.net/projects/pecesjocdetangr/

Package: glpeces
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tangram (puzzle) game clone
 The Tangram is an ancient Chinese puzzle game where the player has to arrange
 a set of figures with 7 polygonal pieces.
 Peces allows playing 33 different modalities of tangram and it includes more
 than 4600 figures to solve. Also, it allows creating new figures and
 competitions. glpeces is especially designed to use in education.
