## glpeces 4.0.2

=== debian/changelog ===
glpeces (4.0.2-1) unstable; urgency=low

  * New upstream release.
  * Revision of German translation (Thanks to Erik Pfannenstein
    and Hendrik Knackstedt).
  * Revision of Italian translation (Thanks to Vincenzo Campanella).
  * New Brazilian translation (Thanks to Adriano Rafael Gomes).
  * New debian/rules with dh $@.
  * Other minor changes:
    - Add question to user for erase records.
    - Save the solution user.
    - Improved placement of pieces on the child level.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Fri, 24 Dec 2010 17:33:08 +0200

glpeces (4.0.1-1) unstable; urgency=low

  * New upstream release.
  * Improved the movement of the pieces (Closes: #585878).
  * Improved reviewing whether the solutions are correct (Closes: #586038).
  * Updating Standards-Version (without package changes).
  * Improvements in the search figures.
  * Fixed bug in game timekeeping.
  * Review of the translation to Portuguese (Thanks to Américo Monteiro).

 -- Innocent De Marchi <tangram.peces@gmail.com>  Mon, 18 Oct 2010 19:03:50 +0200
