## glpeces 4.1

=== debian/changelog ===
glpeces (4.1-1) unstable; urgency=low

  * New upstream realease:
    - Added 5 new tangram.
    - Added over 2700 new figures.
    - New stop function.
    - Resizable main window.
  * Updated description field in debian/control.
  * Updated year in debian/copyright file.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Mon, 21 Mar 2011 15:45:12 +0200
