=== debian/control ===
--- 
+++ 
@@ -12,6 +12,6 @@
 Description: Tangram (puzzle) game clone
  The Tangram is an ancient Chinese puzzle game where the player has to arrange
  a set of figures with 7 polygonal pieces.
- Peces allows playing 33 different modalities of tangram and it includes more
- than 4600 figures to solve. Also, it allows creating new figures and
+ Peces allows playing 38 different modalities of tangram and it includes more
+ than 7300 figures to solve. Also, it allows creating new figures and
  competitions. glpeces is especially designed to use in education.
