## glpeces 5.0

=== debian/changelog ===
glpeces (5.0-2) unstable; urgency=low

  * Add Breaks field to debian/control file.
  * Add Debian package version to Replaces field
    in debian/control file (Closes: #666151).
  * Update debian/copyright file to v. 1.0.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Thu, 29 Mar 2012 09:32:15 +0200

glpeces (5.0-1) unstable; urgency=low

  * New upstream realease:
    - Improved rapid movement of the pieces
      (Closes: #634322).
    - Added 1 new tangram (39 in total).
    - Automatic generation of figures.
    - Added over 11,000 new figures.
    - Customization the pieces color.
    - Improved function comparison of figures.
    - Revised translation into French
      (thanks to Philippe Moutou).
  * Updated Standards-Version (without package changes).  
  * Updated description field in debian/control.
  * Add new package (glpeces-data) with the
    architecture independent files
    - Added news files: glpeces.install,
      glpeces-data.dirs, glpeces-data.install.
  * Updated year in debian/copyright file.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sun, 11 Mar 2012 11:35:10 +0200
