=== debian/control ===
Source: glpeces
Section: games
Priority: optional
Maintainer: Innocent De Marchi <tangram.peces@gmail.com>
Build-Depends: debhelper (>= 7), qt4-qmake (>= 4.4.3), libqt4-dev (>= 4.4.3)
Standards-Version: 3.9.3
Homepage: http://sourceforge.net/projects/pecesjocdetangr/

Package: glpeces
Architecture: any
Depends: glpeces-data (>= 5.0), ${shlibs:Depends}, ${misc:Depends}
Description: Tangram (puzzle) game clone
 The Tangram is an ancient Chinese puzzle game where the player has to arrange
 a set of figures with 7 polygonal pieces.
 Peces allows playing 39 different modalities of tangram and it includes more
 than 18,000 figures to solve. Also, it allows creating new figures and
 competitions. glpeces is especially designed to use in education.

Package: glpeces-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: glpeces (<= 4.1)
Replaces: glpeces (<= 4.1-1)
Description: Data files for glpeces (Tangram puzzle)
 The Tangram is an ancient Chinese puzzle game where the player has to arrange
 a set of figures with 7 polygonal pieces.
 Peces allows playing 39 different modalities of tangram and it includes more
 than 18,000 figures to solve. Also, it allows creating new figures and
 competitions. glpeces is especially designed to use in education.
 .
 This package contains architecture-independent
 required files for glpeces package.
 The files contain data for the construction of the figures
 of the game, help, locales and images.
