=== debian/watch ===
# watch control file for uscan
version=3
http://sf.net/pecesjocdetangr/glpeces-(.*)\.tar\.gz debian uupdate
