## glpeces 5.1.1

=== debian/changelog ===
glpeces (5.1.1-1) unstable; urgency=low

   * New upstream version.
     - Removed all shadow backup files from sources.
   * Delete duplicate text license in debian/copyright file.
     
 -- Innocent De Marchi <tangram.peces@gmail.com>  Fri, 15 May 2015 17:22:45 +0100

glpeces (5.1-1) experimental; urgency=low

   * New upstream release:
     - Add cmake build system.
     - For other changes, see changelog in upstream sources.
   * Changes in debian/control:
     - Update Standards-Version to 3.9.6: no special changes required.
     - Changes build-depends to cmake.
     - Add Vcs-Browser and Vcs-Git fields.
     - Update depends and replaces fields.
     - Correct bug description: thanks to Daniel Ejsing-Duun
       (LP: #1076133).
   * Update years in copyright file.
   * Add the hardering flags to debian/rules.
     - Add dpkg-dev in build depends field in debian/control.
   * Add debian/glpeces.dirs file.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Mon, 02 Feb 2015 18:16:20 +0200
