## glpeces 5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -59,21 +59,29 @@
   
   # this command finds Qt4 libraries and sets all required variables
   # note that it's Qt4, not QT4 or qt4
-  FIND_PACKAGE( Qt4 REQUIRED )
+  find_package(Qt5Widgets)
+  #find_package(Qt5Declarative)
+
+  # The Qt5Widgets_INCLUDES also includes the include directories for
+  # dependencies QtCore and QtGui
+  include_directories(${Qt5Widgets_INCLUDES})
+
+  # We need add -DQT_WIDGETS_LIB when using QtWidgets in Qt 5.
+  add_definitions(${Qt5Widgets_DEFINITIONS})
   
   # add some useful macros and variables
   # (QT_USE_FILE is a variable defined by FIND_PACKAGE( Qt4 ) that contains a path to CMake script)
-  INCLUDE( ${QT_USE_FILE} )
+  #INCLUDE( ${QT_USE_FILE} )
   
   # this command will generate rules that will run rcc on all files from glpeces_RCS
   # in result glpeces_RC_SRCS variable will contain paths to files produced by rcc
   #QT4_ADD_RESOURCES( glpeces_RC_SRCS ${glpeces_RCS} )
   
   # this will run uic on .ui files:
-  QT4_WRAP_UI( glpeces_UI_HDRS ${glpeces_UIS} )
+  QT5_WRAP_UI( glpeces_UI_HDRS ${glpeces_UIS} )
   
   # and finally this will run moc:
-  QT4_WRAP_CPP( glpeces_MOC_SRCS ${glpeces_MOC_HDRS} )
+  QT5_WRAP_CPP( glpeces_MOC_SRCS ${glpeces_MOC_HDRS} )
   
   # we need this to be able to include headers produced by uic in our code
   # (CMAKE_BINARY_DIR holds a path to the build directory, while INCLUDE_DIRECTORIES() works just like INCLUDEPATH from qmake)
@@ -86,9 +94,11 @@
   
   # last thing we have to do is to tell CMake what libraries our executable needs,
   # luckily FIND_PACKAGE prepared QT_LIBRARIES variable for us:
-  TARGET_LINK_LIBRARIES( glpeces ${QT_LIBRARIES} 
-			${QT_QTMAIN_LIBRARY}
-			${QT_QTTEST_LIBRARY})
+  #TARGET_LINK_LIBRARIES( glpeces ${QT_LIBRARIES} 
+  #			${QT_QTMAIN_LIBRARY}
+  #			${QT_QTTEST_LIBRARY})
+
+  target_link_libraries(glpeces ${Qt5Widgets_LIBRARIES})
 
   # install executable and translation files
 install_targets(/games glpeces)
