=== debian/changelog ===
glpeces (5.2-5) unstable; urgency=medium

  * Declared the minimum cmake version to be 3.5
    Closes: #112962

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 15 Oct 2025 14:16:34 +0200

glpeces (5.2-4) experimental; urgency=medium

  * Declared the minimum cmake version to be 4.0
    Closes: #112962

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 30 Sep 2025 15:41:20 +0200

glpeces (5.2-3) unstable; urgency=medium

  * adopted the package, named myself as maintainer. Closes: #922902
  * modified the VCS repository, updated its content to the release
    5.2-2 before uploading this one
  * upgraded Standards-Version: 4.5.1; debhelper-compat (=13)
  * rewrote d/*.install files to fix dh_missing issues

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 18 Jan 2022 12:49:10 +0100

glpeces (5.2-2) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #922902)
  * Using new DH level format. Consequently:
    - debian/compat: removed.
    + debian/control: changed from 'debhelper' to 'debhelper-compat' in
      Build-Depends field and bumped level to 12.
  * debian/changelog: corrected file containing white space.
  * debian/clean: removing binary file.
  * debian/control:
    - Build-Depends: dpkg-dev removed.
    + Bumped Standards-Version to 4.4.0.
    + Changed upstream Vcs-* URLs in salsa.d.g.
  * debian/copyright:
    + Adding myself copyright in debian/*
    + Format-uri: Updated for HTTPS.
  * debian/patches:
    + 01-inconsistent-appstream-metadata-license.
      - Inconsistent appstream metadata license.
    + 02-ignoring-warning-wunused-result.
      - Added: pragma GCC diagnostic ignored
  * debian/rules: Obsolete lines removed.
  * debian/watch: Updated watch version 4.

 -- Carlos Donizete Froes <coringao@riseup.net>  Sun, 21 Jul 2019 16:00:11 -0300

glpeces (5.2-1) unstable; urgency=low

   * New upstream version:
     - One new tangram game (hexagonal)
       created by I. De Marchi.
     - More 7,000 new shapes to play (31,610 in total).
     - Random generation of new shapes
       (not for all tangram game).
     - Improvement of the pieces rotation
       (Closes: #808409).
     - Add the glpeces.appdata.xml description file.
     - Migrated to Qt 5.
   * Changes in debian/control:
     - Update Standards-Version to 3.9.6.1: no special changes required.
     - Update depends and replaces fields.
     - Update Description fields.
     - Update Build-Depends to Qt 5 updated.
   * Update years in copyright file.
   * Add /usr/share/appdata dir in glpeces.dirs file.
     - As a result, update glpeces.install.
   * Remove debian/glpeces.menu file by the tech-ctte decision on #741573.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Fri, 08 Jan 2016 17:37:05 +0100
